#include <cstdio>
#include <vector>
#include <utility>

extern std::vector<long long int> count_cable(std::vector<int> A, std::vector< std::pair<int, int> > C);

int main() {
	int N, Q, i;

	scanf("%d %d", &N, &Q);

	std::vector<int> A(N);
	for(i = 0; i < N; i++) {
		scanf("%d", &A[i]);
	}

	std::vector< std::pair<int, int> > C(Q);
	for(i = 0; i < Q; i++) {
		scanf("%d %d", &C[i].first, &C[i].second);
	}

	std::vector<long long int> result = count_cable(A, C);

	printf("[");
	for(i = 0; i < (int)result.size(); i++) {
		if(0 < i) printf(", ");
		printf("%lld", result[i]);
	}
	printf("]\n");

	return 0;
}
