#include <vector>
#include <utility>

std::vector<long long int> count_cable(std::vector<int> A, std::vector< std::pair<int, int> > C)
{
	// WRITE YOUR CODE HERE	

	int N = (int)A.size();
	int Q = (int)C.size();

	std::vector<long long int> result(Q+1, 0LL);

	for(int i = 0; i < N; i++)
	{
		if(A[i] == 2)
		{
			result[0]++;
		}
	}

	for(int i = 0; i < Q; i++)
	{
		A[C[i].first] = C[i].second;

		result[1+i] = 2;
	}

	return result;
}
